TagLib::Matroska Namespace Reference

An implementation of Matroska metadata. More...

## Classes

class | AttachedFile
| Attached file embedded into a Matroska file. More...
class | Attachments
| Collection of attached files. More...
class | Chapter
| Matroska chapter. More...
class | ChapterEdition
| Edition of chapters. More...
class | Chapters
| Collection of chapter editions. More...
class | File
| An implementation of TagLib::File with Matroska specific methods. More...
class | Properties
| An implementation of Matroska audio properties. More...
class | SimpleTag
| Attribute of Matroska metadata. More...
class | Tag
| Matroska tag implementation. More...

## Typedefs

using | SimpleTagsList = List<SimpleTag>
| List of tag attributes.

## Enumerations

enum class | WriteStyle { Compact , DoNotShrink , AvoidInsert }

## Detailed Description

An implementation of Matroska metadata.

## Typedef Documentation

## SimpleTagsList

using TagLib::Matroska::SimpleTagsList = List<SimpleTag>

List of tag attributes.

## Enumeration Type Documentation

## WriteStyle

enum class TagLib::Matroska::WriteStyle

strong

Controls the trade-off between file size and write speed when saving. Mode of writing tags, attachments and chapters to the file. For very large files and/or slow (network) filesystems, using `AvoidInsert` will reduce write time significantly.

Enumerator
Compact | Write tags, attachments and chapters as compact as possible (default).
DoNotShrink | Do not shrink elements; add void padding when content gets smaller. Allow inserts when content gets larger.
AvoidInsert | Like `DoNotShrink` but also avoid inserts for non-last elements: replace a growing non-last element with a void of the old size and append the new element at the end of the segment.